%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major         0
%define api           1
%define libname       %mklibname %{name} %{api} %{major}
%define develname     %mklibname -d %{name}

%define gi_major      1.0
%define girname       %mklibname %{name}-gir %{gi_major}

Summary:        PolicyKit integration for the MATE desktop
Name:           mate-polkit
Version:        1.6.1
Release:        %mkrel 2
License:        LGPLv2+
Group:          System/Libraries
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        mate-polkit-git2014.01.22-translations.tar.xz
# This patch enables mate-polkit autostart in various Desktops and Window Managers
# desktop-file-utils can not be used because of Openbox incompability.
Patch0:         mate-polkit-1.6.1-mga-other_DEs_autostart.patch
# This patch re-enables comment translations in desktop file
Patch1:         mate-polkit-1.6.1-mga-desktop_comments.patch

BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  mate-common
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(polkit-agent-1)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

Requires:       %{libname} = %{version}-%{release}

Provides:       polkit-agent
Provides:       polkit-mate = %{version}-%{release}
Provides:       polkit-gnome = 0.105-6
Obsoletes:      polkit-gnome < 0.105-6
# (cg) See mga#11956 Can be removed if upstream lxde sort out their polkit stuff
Provides:       lxpolkit = 0.1.0-3.1
Obsoletes:      lxpolkit <  0.1.0-3.1

%description
mate-polkit provides an authentication agent for PolicyKit
that matches the look and feel of the MATE desktop.

%package -n %{libname}
Summary:       Mate-polkit libraries
Group:         System/Libraries
Provides:      %mklibname polkit-gtk %{api} %{major} = %{version}-%{release}
Provides:      libpolkit-gtk-mate-1 = %{version}-%{release}
Provides:      libpolkit-gtk-mate = %{version}-%{release}

%description -n %{libname}
This package contains core libraries for Mate-polkit

%package -n %{girname}
Summary:       GObject Introspection interface description for %{name}
Group:         System/Libraries
Requires:      %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}

%package -n %{develname}
Summary:      Development files for mate-polkit
Group:        Development/C
Requires:     %{libname} = %{version}-%{release}
Provides:     %{name}-devel = %{version}-%{release}
Obsoletes:    %{_lib}mate-polkit1-devel < 1.6.0-2

%description -n %{develname}
Development files for mate-polkit.

%prep
%setup -q
%apply_patches
# Upstream does not synced translations for 1.6 branch
# thus translations are partially broken. Using git translations
# to fix this issue
rm -fr po/*.po
tar -xJf %{_sourcedir}/mate-polkit-git2014.01.22-translations.tar.xz -C po/

%build
%configure2_5x \
     --disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

find %{buildroot}%{_libdir} -type f -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README
%config(noreplace) %_sysconfdir/xdg/autostart/polkit-mate-authentication-agent-1.desktop
%{_libexecdir}/polkit-mate-authentication-agent-1

%files -n %{libname}
%{_libdir}/libpolkit-gtk-mate-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/PolkitGtkMate-%{gi_major}.typelib

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/polkit-gtk-mate-%{api}.pc
%dir %{_includedir}/polkit-gtk-mate-1
%dir %{_includedir}/polkit-gtk-mate-1/polkitgtkmate
%{_includedir}/polkit-gtk-mate-1/polkitgtkmate/*
%{_datadir}/gir-1.0/PolkitGtkMate-%{gi_major}.gir



%changelog
* Sat Jan 25 2014 tarakbumba <tarakbumba> 1.6.1-2.mga4
+ Revision: 568139
- Use translations from git because upstream did not updated them for 1.6 release
- Re-enable comment translations in desktop file by reverting upstream change
- Add some explanations to specfile and patches

* Tue Jan 07 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 565487
- Remove desktop-file-utils usage from specfile; do this with a patch
- new bugfix version:1.6.1
- Also run in Openbox

* Tue Dec 17 2013 luigiwalser <luigiwalser> 1.6.0-8.mga4
+ Revision: 558316
- also run in IceWM (mga#12015)

* Sun Dec 15 2013 colin <colin> 1.6.0-7.mga4
+ Revision: 557078
- Use under LXDE too until their polkit support is clarified mga#11956

* Sat Dec 07 2013 tarakbumba <tarakbumba> 1.6.0-6.mga4
+ Revision: 555819
+ rebuild (emptylog)

* Tue Dec 03 2013 colin <colin> 1.6.0-5.mga4
+ Revision: 554782
- Obsolete the unmaintained polkit-gnome package.

* Tue Oct 22 2013 umeabot <umeabot> 1.6.0-4.mga4
+ Revision: 545207
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 wally <wally> 1.6.0-3.mga4
+ Revision: 500901
- autostart polkit agent also on Xfce
- drop unneeded sed magic from .spec

* Wed Aug 21 2013 wally <wally> 1.6.0-2.mga4
+ Revision: 469051
- fix devel pkg name
- tighten deps
- remove unneeded deps

* Fri Jun 14 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 443001
- imported package mate-polkit

